from datetime import date
from django.contrib.sites.models import Site
from django.db.models import Min

from agregador.models import Entry


current_site = Site.objects.get_current()


def archive(*args, **kwargs):
    current_year = date.today().year
    queryset = Entry.objects.annotate(Min('date')).order_by('date')
    if queryset:
        oldest_year = queryset[0].date.date().year
    else:
        oldest_year = current_year
    year_list = range(oldest_year, current_year + 1)
    year_list.reverse()
    return dict(YEAR_LIST=year_list)


def site(*args, **kwargs):
    return dict(
        SITE_NAME=current_site.name,
        SITE_DESCRIPTION=''     # TODO
    )
