import unicodedata

from haystack import indexes
from haystack import site
from agregador.models import Entry


def strip_accents(s):
   return ''.join((c for c in unicodedata.normalize('NFD', s) if unicodedata.category(c) != 'Mn'))


class EntryIndex(indexes.SearchIndex):
    text = indexes.CharField(document=True, use_template=True)

    def prepare(self, obj):
        self.prepared_data = super(EntryIndex, self).prepare(obj)
        self.prepared_data['text'] += '\n' + strip_accents(self.prepared_data['text'])
        return self.prepared_data

site.register(Entry, EntryIndex)
