from django.views import generic

from agregador.models import Feed, Entry


class EntryMixin(object):
    model = Entry
    date_field = 'date'
    paginate_by = 20


class IndexView(EntryMixin, generic.dates.ArchiveIndexView):
    template_name = 'index.html'


class TodayView(EntryMixin, generic.dates.TodayArchiveView):
    template_name = 'today.html'


class YearArchiveView(EntryMixin, generic.dates.YearArchiveView):
    template_name = 'archive_year.html'
    make_object_list = True


class MonthArchiveView(EntryMixin, generic.dates.MonthArchiveView):
    template_name = 'archive_month.html'


class DayArchiveView(EntryMixin, generic.dates.DayArchiveView):
    template_name = 'archive_day.html'


class EntryDetailView(EntryMixin, generic.detail.DetailView):
    template_name = 'entry_detail.html'


class FeedDetailView(generic.detail.DetailView):
    model = Feed
    template_name = 'feed_detail.html'


class FeedListView(generic.list.ListView):
    model = Feed
    template_name = 'feed_list.html'
