#/usr/bin/env python

import codecs
import os
import sys

from setuptools import setup, find_packages


if 'publish' in sys.argv:
    os.system('python setup.py sdist upload')
    sys.exit()

read = lambda filepath: codecs.open(filepath, 'r', 'utf-8').read()


# Dynamically calculate the version based on planeta.VERSION.
version = __import__('planeta').get_version()

setup(
    name='planeta',
    version=version,
    description='Planeta is a RSS/Atom feeds aggregator based on django-agregador',
    long_description=read(os.path.join(os.path.dirname(__file__), 'README.rst')),
    keywords = 'django planet aggregator',
    author='Guilherme Gondim',
    author_email='semente+planeta@taurinus.org',
    maintainer='Guilherme Gondim',
    maintainer_email='semente+planeta@taurinus.org',
    license='GNU Affero General Public License (AGPL), Version 3',
    url='https://bitbucket.org/semente/planeta/',
    download_url='https://bitbucket.org/semente/planeta/downloads/',
    packages=find_packages(),
    zip_safe=False,
    include_package_data=True,
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Web Environment',
        'Framework :: Django',
        'License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
    install_requires=[
        'Whoosh==2.4.1',
        'django-haystack==1.2.7',
    ],
)
